Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » DSDP - Mobile Tools for Java (MTJ) » Unable to use night build
Unable to use night build [message #566937] Sun, 18 May 2008 14:55
Eclipse UserFriend
Originally posted by:

Hi all. I'm an italian student trying to port an existing project based on
Eclipse plugins onto mobile devices.
I've founded the MTJ project and downloaded the N20080430 nightly build.
I've installed a fresh Eclipse 3.3.2 and succesfully installed the MTJ
runtime plugins and future, but when I try to create a new "Midlet
Project" or "Java ME Midlet" I obtain the following error messages:
1) trying to create new "Midlet Project" ---> Plugin org.eclipse.mtj.ui
was unable ti load class
2) trying to create new "Java ME Midlet" ---> Plugin org.eclipse.mtj.ui
was unable ti load class

It seems that some classes are not present in the downloaded plugin and
It's a strange thing, and the two error messages seems to be "switched".

I'm also experience some trouble trying to configure preferences. If I
open the menu Windows-->Preferences and select any of the "Mobile Tools
for Java" preferences page I alway get this error message "Unable to
create the selected preference page.Reason :
org/eclipse/mtj/ui/internal/preferences/xxxPage (Unsupported major.minor
version 49.0)" where xxx is the name of the preference page I'm trying to

I know this kind of error is related to installed and used JRE, but I'm
using Java 6 Update 6 Sdk and properly configured preferences for compiler
(don't know if this can help).

What's my error? Do I need to download something else? I extracted the
jar plugins and I can't find org.eclipse.mtj.ui.internal package...

Any suggest will be very appreciate, thank you so much.

(Please, sorry for my poor English :) )
Previous Topic:MTJ Reboot
Next Topic:Unable to use night build
Goto Forum:

Current Time: Tue Oct 06 02:09:56 GMT 2015

Powered by FUDForum. Page generated in 0.01650 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software